%define	pkgname	libmnl
%define soname	%{pkgname}0
Name:		%{soname}
Version:	1.0.3
Release:	2.1
Url:		http://www.netfilter.org/
Group:		Productivity/Networking/Security
Summary:	Netlink user-space library
License:	GPL
Source0:	%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libmnl is a minimalistic user-space library oriented to Netlink developers.
There are a lot of common tasks in parsing, validating, constructing of
both the Netlink header and TLVs that are repetitive and easy to get wrong.
This library aims to provide simple helpers that allows you to re-use code
and to avoid re-inventing the wheel. The main features of this library are:

* Small: the shared library requires around 30KB for an x86-based computer.
* Simple: this library avoids complexity and elaborated abstractions that
  tend to hide Netlink details.
* Easy to use: the library simplifies the work for Netlink-wise developers.
  It provides functions to make socket handling, message building, validating,
  parsing and sequence tracking, easier.
* Easy to re-use: you can use the library to build your own abstraction layer
  on top of this library.
* Decoupling: the interdependency of the main bricks that compose the library
  is reduced, i.e. the library provides many helpers, but the programmer is not
  forced to use them.

%package -n %{pkgname}-devel
Group:		Development/Libraries/C and C++
Summary:	Netlink user-space libary development files
Requires:	%{soname} = %{version}

%description -n %{pkgname}-devel
Netlink user-space libary development files.

%prep
%setup -n %{pkgname}-%{version}

%build
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmnl.so.0.1.0

%files -n %{pkgname}-devel
%defattr(-,root,root)
%dir %{_includedir}/libmnl
%{_includedir}/libmnl/libmnl.h
%{_libdir}/libmnl.la
%{_libdir}/libmnl.so
%{_libdir}/libmnl.so.0
%{_libdir}/pkgconfig/libmnl.pc

%changelog
* Sun May 27 2012 cs@linux-administrator.com
- Update to version 1.0.3
* Fri Jan  6 2012 cs@linux-administrator.com
- Update to version 1.0.2
* Sun Jan  9 2011 cs@linux-administrator.com
- initial build
